## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           rabbitsign
Version:        2.1
Release:        %autorelease
Summary:        Digitally sign software for Texas Instruments calculators

# src/md5.c is GPLv2+, the rest is GPLv3+
License:        GPL-3.0-or-later AND GPL-2.0-or-later
URL:            https://www.ticalc.org/archives/files/fileinfo/383/38392.html
Source0:        https://www.ticalc.org/pub/unix/%{name}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  gmp-devel

%description
RabbitSign is a free implementation of the algorithms used to digitally sign
software for the Texas Instruments TI-73, TI-83 Plus, TI-84 Plus, TI-89, TI-92
Plus, and Voyage 200 calculators.

RabbitSign can handle a variety of common input file formats, including
GraphLink files as well as "plain" hex and binary files. It is quite a lot
faster than the official application signing programs from TI, and unlike
those programs, does not have any arbitrary limitations on file names or
contents.  It also has the ability to re-sign applications that have been
signed previously.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%check
make check

%files
%license COPYING
%doc README
%{_bindir}/packxxk
%{_bindir}/rabbitsign
%{_bindir}/rskeygen
%{_mandir}/man1/packxxk.1*
%{_mandir}/man1/rabbitsign.1*
%{_mandir}/man1/rskeygen.1*

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Mar 20 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2.1-1
- Initial import; Fixes: RHBZ#2107906
## END: Generated by rpmautospec
